# Generated by Django 2.1.1 on 2019-01-08 12:24

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('IndospiritTransactions', '0020_auto_20190107_1315'),
    ]

    operations = [
        migrations.CreateModel(
            name='SpacialDiscount',
            fields=[
                ('discount_id', models.BigAutoField(primary_key=True, serialize=False)),
                ('status', models.CharField(choices=[('Pending', 'Pending'), ('Rejected', 'Rejected'), ('Approved', 'Approved')], default='Pending', max_length=30)),
                ('comment', models.CharField(blank=True, max_length=100, null=True)),
                ('amount', models.DecimalField(decimal_places=2, default=0, max_digits=20)),
                ('order_number', models.IntegerField(blank=True, default=0, null=True)),
                ('created_on', models.DateTimeField(auto_now_add=True, null=True)),
                ('is_active', models.BooleanField(blank=True, default=True, null=True)),
                ('is_deleted', models.BooleanField(blank=True, default=False, null=True)),
                ('created_by', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='created_by_discount', to=settings.AUTH_USER_MODEL)),
                ('dealer', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='discount_dealer', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
